<template>
  <div class="login-wrapper columns">
    <div class="column is-8 is-hidden-mobile hero-banner">
      <section class="hero is-fullheight is-primary is-bold">
        <div class="hero-body">
          <div class="container section">
            <div class="has-text-right">
              <h1 class="title is-1">Login</h1> <br>
              <p class="title is-3">Prisijungimas</p>
            </div>
          </div>
        </div>
      </section>
    </div>
    <div class="column is-4">
      <section class="hero is-fullheight">
        <div class="hero-body">
          <div class="container">
            <div class="columns">
              <div class="column is-8 is-offset-2">

                <div class="login-form">
                  <p class="control has-icon has-icon-right">
                    <input class="input email-input" type="text" v-model="email" placeholder="Admin@example.org">
                    <span class="icon user">
                      <i class="fa fa-user"></i>
                    </span>
                  </p>
                  <p class="control has-icon has-icon-right">
                    <input class="input password-input" type="password" v-model="password" placeholder="●●●●●●●">
                    <span class="icon user">
                      <i class="fa fa-lock"></i>
                    </span>
                  </p>
                  <p class="control login">
                    <button v-on:click='signIn' class="button is-success is-outlined is-large is-fullwidth">Login</button>
                  </p>
                  <router-link to="/sign-up"><p class="has-text-centered" >SignUp</p></router-link>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>

</template>

<script>
  import firebase from 'firebase'
  export default {
    name: 'login',
    data: function() {
      return {
        current_user_id: '',
        email: '',
        password: ''
      }
    },
    methods: {
      signIn: function() {
        firebase.auth().signInWithEmailAndPassword(this.email, this.password).then(
          (user) => {
            alert('You are now connected!');
            console.log(user)
            this.current_user_id = firebase.auth().currentUser;
            console.log(this.current_user_id);
            this.$router.replace('dashboard')
          },
          (err) => {
            alert('Oops. ' + err.message)
          }
        );
      }
    }
  }
</script>

<style scoped>  /* "scoped" attribute limit the CSS to this component only */
/*.login {*/
  /*margin-top: 40px;*/
/*}*/
/*input {*/
  /*margin: 10px 0;*/
  /*width: 20%;*/
  /*padding: 15px;*/
/*}*/
/*button {*/
  /*margin-top: 20px;*/
  /*width: 10%;*/
  /*cursor: pointer;*/
/*}*/
/*p {*/
  /*margin-top: 40px;*/
  /*font-size: 13px;*/
/*}*/
/*p a {*/
  /*text-decoration: underline;*/
  /*cursor: pointer;*/
/*}*/
/*#login {*/
  /*font-family: 'Avenir', Helvetica, Arial, sans-serif;*/
  /*-webkit-font-smoothing: antialiased;*/
  /*-moz-osx-font-smoothing: grayscale;*/
  /*text-align: center;*/
  /*color: #2c3e50;*/
  /*margin-top: 60px;*/
/*}*/
</style>
